=== debian/changelog ===
rabbitmq-server (2.6.1-2) unstable; urgency=low

  * Add DM-Upload-Allowed flag to control file to allow Maintainer uploads

 -- John Leuner <jewel@debian.org>  Mon, 19 Mar 2012 21:13:54 +0200
