=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: net
 Priority: extra
 Maintainer: RabbitMQ Team <packaging@rabbitmq.com>
+Uploaders: John Leuner <jewel@debian.org>, Emile Joubert <emile@rabbitmq.com>
 Build-Depends: cdbs, debhelper (>= 5), erlang-dev, python-simplejson, xmlto, xsltproc
 Standards-Version: 3.8.0
+DM-Upload-Allowed: yes
 
 Package: rabbitmq-server
 Architecture: all
