=== debian/changelog ===
rabbitmq-server (2.7.1-0ubuntu4) precise; urgency=low

  [ Dave Walker ]
  * debian/rabbitmq-script-wrapper: Use start-stop-daemon instead of su
    to run the commands. This also allows rabbitmq to start on the
    installer if invoke-rc.d is used with --force. (LP: #966269)

  [ Andres Rodriguez ]
  * debian/rabbitmq-server.init: Use --no-wait in initctl emit command to
    not stall apt-get installations. (LP: #968124)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 29 Mar 2012 10:46:26 -0400

rabbitmq-server (2.7.1-0ubuntu3) precise; urgency=low

  * debian/rabbitmq-server.init: emit 'rabbitmq-server-running' signal for
    upstart as MAAS needs it.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 27 Mar 2012 14:49:05 -0400

rabbitmq-server (2.7.1-0ubuntu2) precise; urgency=low

  [ Marc Cluet ]
  * Add new rabbitmq-erlang-client and rabbitmq-stomp binary packages as
    plugins are now part of rabbitmq-server core (LP: #948993):
    - d/rules: Refactored to support multiple binary packages, enable
      .d style configuration of rabbitmq for plugins.
    - d/rabbitmq-stomp.[postinst|postrm|install]: Install configuration 
      for stomp, enable/disable stomp plugin and restart as required.
    - d/rabbitmq-erlang-client.[postinst|postrm]: Enable/disable amqp_client
      plugin and restart as required.
    - d/rabbitmq-server.*: Renamed to support multiple binary packages.
    - d/rabbitmq-server.dirs: Added rabbitmq.conf.d dir for .d configuration
      files.
    - d/rabbitmq-server.postrm.in: Avoid deletion of rabbitmq user on purge.
  * Switched to source/format 3.0 (quilt):
    - d/patches/inets-plugins.patch: Fixup path to httpd.hrl.

  [ James Page ]
  * d/control: rabbitmq-server needs to Break/Replace 
    rabbitmq-plugins-common < 2.7.1.
  * d/rabbitmq-server.links: Fixup link to point to 2.7.1 install. 
  * d/rabbitmq-server.init: Restore fix to use start-stop-daemon (LP: #913464).

 -- Marc Cluet <marc.cluet@ubuntu.com>  Mon, 12 Mar 2012 08:58:42 +0000

rabbitmq-server (2.7.1-0ubuntu1) precise; urgency=low

  * New upstream release. (LP: #922600)
  * Apply patch to include inets from the appropriate place. Fixes
    FTBFS.
  * d/control: adding necessary build-deps for 2.7.1

 -- Clint Byrum <clint@ubuntu.com>  Tue, 28 Feb 2012 09:55:49 -0800

rabbitmq-server (2.6.1-1ubuntu4) precise; urgency=low

  * Use start-stop-daemon in the init script, removing usage of su
    (LP: #913464)

 -- Thomas Hervé <thomas.herve@canonical.com>  Fri, 27 Jan 2012 14:58:19 +0100

rabbitmq-server (2.6.1-1ubuntu3) precise; urgency=low

  * Fix broken init script. 

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 13 Nov 2011 22:48:59 -0500

rabbitmq-server (2.6.1-1ubuntu2) precise; urgency=low

  * close file handles of rabbitmq-server daemon in init script (LP: #878600)
  * fix dpkg failure on purge (LP: #878597)

 -- Scott Moser <smoser@brickies.net>  Tue, 25 Oct 2011 12:51:20 -0400

rabbitmq-server (2.6.1-1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - symlink erlang libraries in a rabbit-common specific location.
    - Added explicit log line in startup_* and shutdown_* (LP: #838959)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 28 Sep 2011 01:05:54 +0000

rabbitmq-server (2.5.0-1ubuntu2) oneiric; urgency=low

  * Added explicit log line in startup_* and shutdown_* (LP: #838959)
    - Added a log line with a timestamp to indicate either the success or
      failure on startup/shutdown

 -- Marc Cluet <marc.cluet@ubuntu.com>  Wed, 14 Sep 2011 17:56:32 +0200

rabbitmq-server (2.5.0-1ubuntu1) oneiric; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - symlink erlang libraries in a rabbit-common specific location.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Sun, 19 Jun 2011 18:18:49 +0100

rabbitmq-server (2.4.1-1ubuntu2) oneiric; urgency=low

  * Fixed libraries soft link for 2.4.1 release 

 -- Marc Cluet <marc.cluet@ubuntu.com>  Thu, 26 May 2011 02:39:10 -0700

rabbitmq-server (2.4.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - symlink erlang libraries in a rabbit-cmmon specific location.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 02 May 2011 13:15:56 +0100

rabbitmq-server (2.3.1-1ubuntu1) natty; urgency=low

  * fix rabbitmq-stomp FTBFS, which requires erlang libraries in a
    rabbit-common specific location; solve with a symlink

 -- Dustin Kirkland <kirkland@ubuntu.com>  Tue, 19 Apr 2011 15:32:28 -0400
