=== debian/control ===
Source: rabbitmq-server
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: RabbitMQ Team <packaging@rabbitmq.com>
Build-Depends: cdbs, debhelper (>= 5), quilt, erlang-dev, python-simplejson, xmlto, xsltproc, git, zip, unzip, erlang-asn1, erlang-inets
Standards-Version: 3.9.3

Package: rabbitmq-server
Architecture: all
Breaks: rabbitmq-plugins-common (<< 2.7.1)
Replaces: rabbitmq-plugins-common (<< 2.7.1)
Depends: erlang-nox (>= 1:12.b.3), adduser, logrotate, ${misc:Depends}
Description: An AMQP server written in Erlang
 RabbitMQ is an implementation of AMQP, the emerging standard for high
 performance enterprise messaging. The RabbitMQ server is a robust and
 scalable implementation of an AMQP broker.
Homepage: http://www.rabbitmq.com/

Package: rabbitmq-erlang-client
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, rabbitmq-server (= ${binary:Version})
Description: Erlang client for RabbitMQ
 This client offers both a networked version that uses standard TCP-based AMQP
 framing and a direct client that uses native Erlang message passing to a
 RabbitMQ broker.

Package: rabbitmq-stomp
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, rabbitmq-server (>= 2.7.1), 
         rabbitmq-erlang-client (= ${binary:Version})
Suggests: ruby
Description: A STOMP gateway for RabbitMQ
 Gateway for exposing AMQP functionality via the STOMP protocol, as
 implemented by many clients for various programming languages, and a few other
 servers besides RabbitMQ.
