=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

MULTIPACKAGE_DEB_DESTDIR=debian/rabbitmq-server/

RABBIT_LIB=$(MULTIPACKAGE_DEB_DESTDIR)usr/lib/rabbitmq/lib/rabbitmq_server-$(DEB_UPSTREAM_VERSION)/
RABBIT_BIN=$(MULTIPACKAGE_DEB_DESTDIR)usr/lib/rabbitmq/bin/

DEB_MAKE_INSTALL_TARGET := install TARGET_DIR=$(RABBIT_LIB) SBIN_DIR=$(RABBIT_BIN) MAN_DIR=$(MULTIPACKAGE_DEB_DESTDIR)usr/share/man/
DEB_MAKE_CLEAN_TARGET:= distclean

DOCDIR=$(MULTIPACKAGE_DEB_DESTDIR)usr/share/doc/rabbitmq-server/

install/rabbitmq-server::
	mkdir -p $(DOCDIR)
	rm $(RABBIT_LIB)LICENSE* $(RABBIT_LIB)INSTALL*
	for script in rabbitmqctl rabbitmq-server; do \
		install -p -D -m 0755 debian/rabbitmq-script-wrapper $(MULTIPACKAGE_DEB_DESTDIR)usr/sbin/$$script; \
	done
	sed -e 's|@RABBIT_LIB@|/usr/lib/rabbitmq/lib/rabbitmq_server-$(DEB_UPSTREAM_VERSION)|g' <debian/rabbitmq-server.postrm.in >debian/rabbitmq-server.postrm
	install -p -D -m 0755 debian/rabbitmq-server.ocf $(MULTIPACKAGE_DEB_DESTDIR)usr/lib/ocf/resource.d/rabbitmq/rabbitmq-server
	install -p -m 0644 debian/conf/rabbitmq-env.conf $(MULTIPACKAGE_DEB_DESTDIR)etc/rabbitmq
